Kerbal Space Program - Bug #21719

[LQA] [Zh] Dv value display bug
03/31/2019 12:09 AM - herman8hk

Status: Ready to Test Start date: 03/31/2019

Severity: Low % Done: 80%

Assignee: just_jim

Category: Spelling/Grammar/Localization

Target version: 1.10.0

Version: 1.6.1 Language: (0000 (Chinese Simplified)
Platform: Windows Mod Related: No

Expansion: Core Game, Making History

Description

Hi, v1.6 schinese version have a bug about the dv display

The photo dv location can't show the value ,may be next time the version update can fix this problem ,thanks

History

#1 - 03/31/2019 10:17 PM - Anth12
- File screenshot0.png added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Clean install of KSP in chinese...

Confirmed

#2 - 10/22/2019 05:10 PM - just_jim

- Related to Bug #22896: [Breaking Ground] Medium scanner arm is too sensitive to craft motion added

#3 - 10/22/2019 05:10 PM - just_jim

- Related to deleted (Bug #22896: [Breaking Ground] Medium scanner arm is too sensitive to craft motion)

#5 - 10/22/2019 05:13 PM - just_jim
- Status changed from Confirmed to Need More Info

- % Done changed from 10 to 0

This was two builds ago, can we get a confirmation if it's been fixed, or still occuring, please?

#6 - 10/22/2019 05:14 PM - just_jim
- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

#7 - 10/22/2019 05:14 PM - just_jim
- Status changed from Updated to Being Worked On
- % Done changed from 10 to 30

#8 - 10/22/2019 05:14 PM - just_jim

- Status changed from Being Worked On to Ready to Test
- Assignee set to just jim

- Target version set to 1.8.0

- % Done changed from 30 to 80
#10 - 10/22/2019 05:17 PM - just_jim
- Subject changed from Dv value display bug to [LQA] [Zh] Dv value display bug

#11 - 10/22/2019 07:04 PM - Anth12

- File screenshot2.png added

- File screenshot3.png added

- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

OK. I dont know how to read or speak chinese.

However looking at the first screenshot (screenshot2.png) please note the following:

For stage number 3 the deltav is 137 + the characters that | assume are for m/s
For stage number 2 the deltav is 2468 + the character that | would assume is M has ... beside it which isnt right in my opinion

Looking at the second screenshot (screenshot3.png) it just displays the number because the deltav is over 10000.
The two options | would think are available are:

1. You can widen the staging menu to fit in the chinese m/s or
2. For chinese remove the m/s entirely except for the total at the bottom

For this reason | would say its not fixed...but it could technically be another bug or perhaps | am just over analyzing
#12 - 10/23/2019 03:20 AM - 050644 zf
- Category changed from Camera to Spelling/Grammar/Localization
Anth12 wrote:
OK. | dont know how to read or speak chinese.
However looking at the first screenshot (screenshot2.png) please note the following:

For stage number 3 the deltav is 137 + the characters that | assume are for m/s
For stage number 2 the deltav is 2468 + the character that | would assume is M has ... beside it which isnt right in my opinion

Looking at the second screenshot (screenshot3.png) it just displays the number because the deltav is over 10000.
The two options | would think are available are:

1. You can widen the staging menu to fit in the chinese m/s or
2. For chinese remove the m/s entirely except for the total at the bottom

For this reason | would say its not fixed...but it could technically be another bug or perhaps | am just over analyzing

Confrimed that. As a Chinese player | think replace the chinese unit "II/" with m/s is okay. And | asked other Chinese players and they accept this
change.

#13 - 10/31/2019 08:57 PM - just_jim
- Status changed from Not Fixed to Ready to Test
- % Done changed from 50 to 80

#14 - 11/01/2019 01:27 AM - Anth12

- File screenshot0.png added

- File screenshot4.png added

- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

screenshot0.png | have circled the issue here.
screenshot4.png shows what it looks like in english.

"l..." is what | had a problem with. If that were English it would be 'm..." instead of 'm/s'
It shouldnt be cut off like that in my opinion, especially on a deltav number with 4 digits (1000 to 9999) as a lot of crafts will have deltav that is
1000-10000

Still Not fixed.
#15 - 02/15/2020 01:22 PM - just_jim
- Status changed from Not Fixed to Ready to Test

- Target version changed from 1.8.0 to 1.9.0

- % Done changed from 50 to 80

#16 - 02/17/2020 04:42 AM - Anth12
- File screenshot0.png added
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50
050644zf wrote:
Anth12 wrote:
OK. I dont know how to read or speak chinese.
However looking at the first screenshot (screenshot2.png) please note the following:

For stage number 3 the deltav is 137 + the characters that | assume are for m/s
For stage number 2 the deltav is 2468 + the character that | would assume is M has ... beside it which isnt right in my opinion

Looking at the second screenshot (screenshot3.png) it just displays the number because the deltav is over 10000.
The two options | would think are available are:

1. You can widen the staging menu to fit in the chinese m/s or
2. For chinese remove the m/s entirely except for the total at the bottom

For this reason | would say its not fixed...but it could technically be another bug or perhaps | am just over analyzing

Confrimed that. As a Chinese player | think replace the chinese unit "0/0" with m/s is okay. And | asked other Chinese players and they accept
this change.

"[l..." is still wrong. 050644zf has mentioned that other chinese players are ok with just changing it to m/s

#17 - 07/06/2020 03:27 PM - victorr
- Status changed from Not Fixed to Ready to Test
- Target version changed from 1.9.0 to 1.10.0

- % Done changed from 50 to 80

We've made some more changes in this latest 1.10.0 version and would like some feedback on this issue. Thanks.
